Foreman - Bug #14960

alias_method_chain in settings helper breaks plugins
05/09/2016 03:45 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Settings
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/35083
Description

Adding select boxes to Settings changed the value method in settings_helper:
https://github.com/theforeman/foreman/commit/ad603e4023c5400c51674f1fa3635565f7b3b552#diff-99f01fed5094bece4bbc97c882f
4b666R4.

Discovery extends the settings_helper and adds it's own alias_method_change for value.

As a result trying to use discovery returns the error: “alias_method': undefined method “value' for module
“#<Module:0x00000006f36320>' (NameError)

Related issues:
Related to Foreman - Feature #3200: Add select boxes to Settings Closed 10/04/2013
Related to Discovery - Refactor #14964: Use collections settings API for taxo... Closed 05/09/2016

Associated revisions

Revision f88a7a55 - 05/09/2016 08:34 AM - Tomer Brisker

Fixes #14960 - Improve settings helper for collections

History

#1 - 05/09/2016 03:46 AM - Ori Rabin
- Related to Feature #3200: Add select boxes to Settings added

#2 - 05/09/2016 03:48 AM - Ori Rabin

- Subject changed from discovery settings use a method that no longer exists in core to discovery settings use a method that now uses
alias_method_chain in core

#3 - 05/09/2016 04:59 AM - Tomer Brisker
- Project changed from Discovery to Foreman

- Subject changed from discovery settings use a method that now uses alias_method_chain in core to alias_method_chain in settings helper breaks
plugins

- Assignee changed from Ori Rabin to Tomer Brisker

#4 - 05/09/2016 05:37 AM - Dominic Cleal
- Category set to Settings

- translation missing: en.field_release set to 136

#5 - 05/09/2016 05:38 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman_discovery/pull/271 added

#6 - 05/09/2016 05:42 AM - Dominic Cleal
- Status changed from Ready For Testing to Assigned
https://github.com/theforeman/foreman/commit/ad603e4023c5400c51674f1fa3635565f7b3b552#diff-99f01fed5094bece4bbc97c882f4b666R4
https://github.com/theforeman/foreman/commit/ad603e4023c5400c51674f1fa3635565f7b3b552#diff-99f01fed5094bece4bbc97c882f4b666R4

- Pull request deleted (https://github.com/theforeman/foreman_discovery/pull/271)

#7 - 05/09/2016 05:48 AM - Lukas Zapletal
- Related to Refactor #14964: Use collections settings API for taxonomy added

#8 - 05/09/2016 06:00 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3503 added

#9 - 05/09/2016 09:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset {88a7a55bb0a9e6522dd952980a3e6bf3e4b5045.
